Speed Dreams 2(6)

NAME
speed-dreams-2 - High-quality 3D racing cars simulator game based on Open GL

SYNOPSIS
speed-dreams-2 [-v|--version] [-h|--help]
                [-l|--localdir <dir path>] [-L|--libdir <dir path>]
                [-B|--bindir <dir path>] [-D|--datadir <dir path>]
                [-e|--tracelevel <integer>] [-t|--tracestream stdout|stderr|<file name>]
                [-m|--hardmouse]
                [-s|--startrace <race name> [-x|--textonly] ]

DESCRIPTION
Speed Dreams is a Motorsport Simulator featuring high-quality 3D graphics and an accurate physics engine, all targeting maximum realism. Initially forked from TORCS, it has now reached a clearly higher realism level in visual and physics simulation, thanks to its active development team and growing community. It mainly aims to implement exciting new features, cars, tracks and AI opponents to make a more enjoyable game for the player, while constantly pushing forward visual and physics realism. It is also intended for any research, study or teaching activity, around physics and AI, thanks to its GPL V2+ license, and the clear and modular architecture of its C/C++ code base. As everything is open in Speed Dreams, you can also tweak you favorite car physics setup, create a band new car model, or simply design a new shinning livery for an existing one, and even create an entire new track with its landscape, or simply improve an existing one. And even more ...

OPTIONS

-h, --help
    Show a short manual about options

-v, --version
    Show the actual game version

-l, --localdir local dir
    Set the run-time user settings folder (default = ~/.speed-dreams-2, unless not using the default CMake configuration for building)

-L, --libdir lib dir
    Set the run-time library folder (default = /usr/local/lib[64]/games/speed-dreams-2, unless not using the default CMake configuration for building)

-D, --datadir data dir
    Set the run-time data folder (default = /usr/local/share/games/speed-dreams-2, unless not using the default CMake configuration for building)

-B, --bindir bin dir
    Set the run-time binary data folder (default = /usr/local/games, unless not using the default CMake configuration for building)

-s, --startrace race mode name
    Directly start a new race of the given mode, as the name without extension of the selected raceman file, among the .xml files in <user settings>/config/raceman (no default)

-x, --textonly
    Run the specified race without any GUI (suitable for a headless computer)
    Note: Can't be used without -s/--startrace.

-m, --hardmouse
    Use hardware mouse cursor

-e, --tracelevel trace level threshold
    Set the trace level threshold to the given integer value (0=Fatal, 1=Error, 2=Warning, 3=Info, 4=Trace, 5=Debug, ... ; default = Debug, unless not using the default CMake configuration for building) Only traces with lower or equal level will appear in the trace stream Note: May be disabled if CMake option 'OPTION_DEBUG' is not true at build time)

-t, --tracestream target trace stream
    Set the target stream for the traces (among 'stdout', 'stderr' or <file name>) ; default = stderr, unless not using the default CMake configuration for building)) Note: May be disabled if CMake option 'OPTION_DEBUG' is not true at build time)

EXAMPLES
speed-dreams-2 speed-dreams-2 -s quickrace speed-dreams-2 -x -s practice

LICENSE
Speed Dreams 2 is licensed under the GNU General Public License, version 2 or later.

COPYRIGHT
The Speed Dreams Team.

AUTHOR
This manual page was written by Jean-Philippe Meuret <pouillot@users.sourceforge.net>, based on TORCS 1.2.2 version by Rudy Godoy <rudy@kernel-panik.org>, for the Debian project ; of course, it may be used by any other.

BUG REPORTS
In case you discover a bug (sure you won't ;-), please report it here:
http://sourceforge.net/apps/trac/speed-dreams/report/3
of course after checking that it is not already filed.

SEE ALSO
Web site: http://www.speed-dreams.org/
Community: http://community.speed-dreams.org/
Sourceforge pages: http://sourceforge.net/projects/speed-dreams/
User manual: http://sourceforge.net/apps/trac/speed-dreams/wiki/SD2.0Manual
Wiki: http://sourceforge.net/apps/trac/speed-dreams/wiki
sd2-trackgen(6), sd2-accc(6), sd2-menuview(6), sd2-nfs2ac(6), sd2-nfsperf(6)